<template>
  <el-dialog v-dialogDrag
             :title="paramVOS.title"
             :visible.sync="visible"
             :width="width"
             :style="'height:'+height || 'auto'"
             :append-to-body="true"
             class="avue-dialog avue-dialog--top"
             @close="dialogClose">
    dialog
    <basic-form ref="formRef" v-if="paramVOS.form"></basic-form>
    <ui-view ref="uiViewRef" v-else-if="paramVOS.content || paramVOS.context"></ui-view>
    <div v-if="paramVOS.form" class="avue-dialog__footer">
      <el-button type="primary" @click="saveHandler">保 存</el-button>
      <el-button @click="escHandler">取 消</el-button>
      <el-button @click="resetValue">重 置</el-button>
    </div>
  </el-dialog>
</template>

<script>
import uiView from "@/views/base/UIContentViewerInDialog"
import {dataForm} from "@/api/base/ui";

export default {
  name: "AddEditDialog",
  components:{uiView},
  props: {
    sourceData: {
      //所属区域的上一区域选中数据
      type: Object,
      default: {}
    },
    dataStore: {
      //弹窗时按钮所属区域选中数据
      type: Array,
      default: []
    },
    paramVOS: {
      type: Object,
      default: {}
    },
    width: {
      type: String,
      default:'70%'
    },
    height: {
      type: String,
      default:'500px'
    },
  },
  data(){
    return {
      visible:false
    }
  },
  computed:{
  },
  created() {

  },
  methods: {
    dialogClose() {
      this.visible = false;
    },
    onLoad: function () {
      if (Object.keys(this.sourceData).length > 0 && this.isShow) {
        this.loading = true;
        dataForm(this.params).then(res => {
          this.form = res.data.obj;
          this.loading = false;
        }).catch(error => {
          this.$message.error(error);
          this.loading = false;
        });
      }
    },
    saveHandler() {
      this.dialogClose();
    },
    escHandler() {
      this.dialogClose();
    },
    resetValue() {
      this.$refs.formRef.resetValue();
    }
  }
}
</script>

<style scoped>

</style>
